/*  
 *    SCCS ID: %Z%%M% %I% %E% SST
 *
 *    Copyright (c) 1992-1993 Mark Soloway.  All rights reserved.
 *    See SST_LEGAL_NOTICE file for terms of the license. 
 */  
  
#ifndef _TREE_NODE_DELETE_CHILD_MESSAGE_H
#define _TREE_NODE_DELETE_CHILD_MESSAGE_H

#include "TTMessage.h"
#include "TreeNode.h"
#include "TreeNode_consts.h"

class TreeNodeDeleteNodeMessage : public TTMessage {
public:
  TreeNodeDeleteNodeMessage (const TreeNode &node, Tt_status &status) :
    TTMessage (node,
	       TREE_NODE_OP_DELETE_NODE,
	       TT_REQUEST,
	       TT_FILE,
	       status)
    {
    }

  TreeNodeDeleteNodeMessage (const char *node_id, Tt_status &status) :
    TTMessage (node_id,
               TREE_NODE_OP_DELETE_NODE,
               TT_REQUEST,
               TT_FILE,
               status)
    {
    }  

  ~TreeNodeDeleteNodeMessage () {}
};

#endif
