/*  
 *    SCCS ID: %Z%%M% %I% %E% SST
 *
 *    Copyright (c) 1992-1993 Mark Soloway.  All rights reserved.
 *    See SST_LEGAL_NOTICE file for terms of the license. 
 */  
  
#ifndef _TREE_MANAGER_SERVER_H
#define _TREE_MANAGER_SERVER_H

#include "TreeManager_consts.h"
#include "TTSession.h"

class TTMessage;

class TreeManager_server : public TTSession {
public:
  TreeManager_server (Tt_status &status) :
    TTSession (status)
    {
      status = useDefaultSessionCallback (TT_TRUE);
      if (status == TT_OK) {
        status = declarePType (TREE_MANAGER_PTYPE);
      }
    }

  ~TreeManager_server () {}

private:
  Tt_status defaultSessionCallback (TTMessage *);
  Tt_status getRoot (TTMessage *);
  Tt_status setRoot (TTMessage *);
  Tt_status deleteRoot (TTMessage *);
};

#endif
